Subject: Re: [PATCH] add correct interrupt property for pegasos ide

From: Benjamin Herrenschmidt <[email-masked]>
Date: Thu, 05 Apr 2007 11:47:18 +1000

> There might be also the another issue here - the chipset claims fully native
> mode (prog-if 8f - taken from your previous mail) so driver takes IRQ value
> from dev->irq (which your patch fixes to be 14 instead of 20 if I'm reading
> it correctly) but in reality chipset seems to be still using legacy IRQs
> (14 for the primary port and 15 for the secondary one).  What IRQ value is
> reported by the libata for the secondary port?  Does the second port work?

It's a crackpot VIA chipset... it claims to be fully native but uses legacy
IRQs... go figure. So yes, we need a quirk. I don't have chipset specs
so I don't know if the driver can "detect" that though.

Ben.